Unit SFG7R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

function SFG7R(X :Real): Real;

implementation

function SFG7R(X :Real): Real;
var
Y,X1 :Real;
const
ONE :Real = 1.0;
label
_5,_10,_20,_30,_40,_50;
begin
{ Result -    SFG7R  FORTRANe }
if ( X <> ONE ) 
 then goto _5;
Result := ONE;
goto _50;
_5:
Y := ONE;
X1 := X;
_10:
if ( X1 <= ONE ) 
 then goto _20;
X1 := X1-ONE;
Y := Y*X1;
goto _10;
_20:
Y := ONE/Y;
_30:
if ( X1 >= -ONE ) 
 then goto _40;
Y := Y*X1;
X1 := X1+1;
goto _30;
_40:
Result := Y*(((((((((((((-0.18122E-6*X1+0.1328554E-5)*
    X1-0.2625721E-5)*X1-0.17527917E-4)*X1+
    0.145624324E-3)*X1-0.360851496E-3)*X1-
    0.804341335E-3)*X1+0.8023278113E-2)*X1-
    0.17645242118E-1)*X1-0.24552490887E-1)*X1+
    0.191091101162)*X1-0.233093736365)*X1-
    0.422784335092)*X1+ONE)*X1*(X1+ONE);
_50:
exit;
end;

end.
